# Complete provisioning with SIM number and machine code (account_manager) (/docs/api-reference/provisioning/ProvisioningController_complete)

`PATCH /api/provisioning-requests/{id}/complete`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `id` | path | yes | string | Provisioning request ID |

## Request body

Required.

Content type: `application/json`

```json
{
  "type": "object",
  "properties": {
    "simNumber": {
      "type": "string",
      "description": "SIM card number assigned to the IoT gateway.",
      "example": "8988228066601234567"
    },
    "machineCode": {
      "type": "string",
      "description": "Final machine code used for MQTT topic routing.",
      "example": "CNC-004"
    }
  }
}
```

## Responses

### 200: Provisioning completed